Skip to content
Start here

List Site WANs

GET/accounts/{account_id}/magic/sites/{site_id}/wans

Lists Site WANs associated with an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
site_id: string

Identifier

maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of WAN { id, health_check_rate, name, 5 more }
id: optional string

Identifier

maxLength32
health_check_rate: optional "low" or "mid" or "high"

Magic WAN health check rate for tunnels created on this link. The default value is mid.

One of the following:
"low"
"mid"
"high"
name: optional string
physport: optional number
priority: optional number

Priority of WAN for traffic loadbalancing.

site_id: optional string

Identifier

maxLength32
static_addressing: optional WANStaticAddressing { address, gateway_address, secondary_address }

(optional) if omitted, use DHCP. Submit secondary_address when site is in high availability mode.

address: string

A valid CIDR notation representing an IP range.

gateway_address: string

A valid IPv4 address.

secondary_address: optional string

A valid CIDR notation representing an IP range.

vlan_tag: optional number

VLAN ID. Use zero for untagged.

success: true

Whether the API call was successful

List Site WANs

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/sites/$SITE_ID/wans \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "health_check_rate": "low",
      "name": "name",
      "physport": 1,
      "priority": 0,
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "gateway_address": "192.0.2.1",
        "secondary_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "health_check_rate": "low",
      "name": "name",
      "physport": 1,
      "priority": 0,
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "gateway_address": "192.0.2.1",
        "secondary_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}